| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Attributes | List of all members
TBBMessageSvc::MessageWithLevel Class Reference

Specialized class to report a message with explicit output level. More...

Inheritance diagram for TBBMessageSvc::MessageWithLevel:
[legend]
Collaboration diagram for TBBMessageSvc::MessageWithLevel:
[legend]

## Public Member Functions
| MessageWithLevel (TBBMessageSvc &svc, Message msg, int level)
void | run () override
| Method to be implemented by the actual task classes. More...
Public Member Functions inherited from TBBMessageSvc::MessageTaskCommon
| MessageTaskCommon (TBBMessageSvc &svc)
Public Member Functions inherited from Gaudi::SerialTaskQueue::WorkItem
virtual | ~WorkItem ()

## Private Attributes
Message | m_msg
int | m_level

## Additional Inherited Members
Protected Attributes inherited from TBBMessageSvc::MessageTaskCommon
TBBMessageSvc & | m_svc
std::thread::id | m_sender

## Detailed Description

Specialized class to report a message with explicit output level.

Definition at line 50 of file TBBMessageSvc.h.

## Constructor & Destructor Documentation

## ◆ MessageWithLevel()

TBBMessageSvc::MessageWithLevel::MessageWithLevel | ( | TBBMessageSvc & | svc,
|  | Message | msg,
|  | int | level
| ) |  |
| inline

Definition at line 52 of file TBBMessageSvc.h.

53 : MessageTaskCommon( svc ), m_msg( msg ), m_level( level ) {}
TBBMessageSvc::MessageWithLevel::m_level
int m_level
Definition: TBBMessageSvc.h:58
CommonMessagingBase::msg
MsgStream & msg() const
shortcut for the method msgStream(MSG::INFO)
Definition: CommonMessaging.h:113
TBBMessageSvc::MessageWithLevel::m_msg
Message m_msg
Definition: TBBMessageSvc.h:57
gaudirun.level
level
Definition: gaudirun.py:334
TBBMessageSvc::MessageTaskCommon::MessageTaskCommon
MessageTaskCommon(TBBMessageSvc &svc)
Definition: TBBMessageSvc.h:42

## Member Function Documentation

## ◆ run()

void TBBMessageSvc::MessageWithLevel::run | ( |  | ) |
| inline override virtual

Method to be implemented by the actual task classes.

Implements Gaudi::SerialTaskQueue::WorkItem.

Definition at line 54 of file TBBMessageSvc.h.

54 { m_svc.i_reportMessage( m_msg, m_level ); }
TBBMessageSvc::MessageWithLevel::m_level
int m_level
Definition: TBBMessageSvc.h:58
MessageSvc::i_reportMessage
virtual void i_reportMessage(const Message &msg, int outputLevel)
Internal implementation of reportMessage(const Message&,int) without lock.
Definition: MessageSvc.cpp:356
TBBMessageSvc::MessageTaskCommon::m_svc
TBBMessageSvc & m_svc
Definition: TBBMessageSvc.h:45
TBBMessageSvc::MessageWithLevel::m_msg
Message m_msg
Definition: TBBMessageSvc.h:57

## Member Data Documentation

## ◆ m_level

int TBBMessageSvc::MessageWithLevel::m_level
| private

Definition at line 58 of file TBBMessageSvc.h.

## ◆ m_msg

Message TBBMessageSvc::MessageWithLevel::m_msg
| private

Definition at line 57 of file TBBMessageSvc.h.

The documentation for this class was generated from the following file:

- GaudiCoreSvc/src/MessageSvc/TBBMessageSvc.h